```@meta
CurrentModule = dg1d
```

# Artificial Viscosity (AV)

## Models


```@docs
AV
```

### Diffusion Based (DB)

```@docs
AV.DB
```

### Highest Modal Decay (MDH)

```@docs
AV.MDH
```

### Averaged Modal Decay (MDA)

```@docs
AV.MDA
```

### Entropy Viscosity (EV)

```@docs
AV.EV
```

# Observations


