"""
  concretetypes(type)

Gather all concrete subtypes of a `type` by applying `subtypes` recursively.
"""
function concretetypes(type)
  ctypes = []
  for sti in subtypes(type)
    if isabstracttype(sti)
      append!(ctypes, concretetypes(sti))
    else
      push!(ctypes, sti)
    end
  end
  return ctypes
end
